Description

John's "Add Plant" forms on the web need to be updated to fit our new model and
fix a few things that don't quite work. Gabe has done a great job on this (on
beta), but a few things need to be worked out.

1) Status.stopDate should default to blank, as this would terminate the user's
view of the plant on the same date they started it. A null value should be OK
in loading. | had trouble trying to load a plant without a stopdate, but it

could have been something else that triggered the error

2) For new plant names, one should have the option of not using a reference for
the new name. A reference is required for the concept, though. A <option
value="none">--no reference--</option> at the top of the picklist would do the
trick. This is why it is nice for the .jsp only to grab the <options> that talk

about the extant references so that we can futz around with these picklists by
adding values.

3) The "view reference" link does not currently work, but the link is what we
need and it's in the right place. Instead of saying "reference "1™ it would be
nice to say "referece: " & reference.shortName. But if that's a major problem,
reference '1' is ok, | guess.

that's it for now.

History

#1 - 05/29/2003 11:44 AM - Gabriel Farrell

These issues have been addressed.

#2 - 05/30/2003 09:42 AM - Michael Lee

Sorry, Gabe, but | realized the other day that there is still a bug in the

loading process here, but one that should be super easy to fix. The startDate
should always be Now() and the stop date should always be null. Just disable
new entry in these fields and we should be good to go.

#3 - 05/30/2003 11:03 AM - Gabriel Farrell

comment #2 has been addressed.

#4 - 06/05/2003 10:39 PM - Gabriel Farrell

Addressed comment #2.
#5 - 01/31/2005 02:53 PM - Michael Lee
changed from components that are to be deleted to "misc" so that bugs don't get

deleted with component. Sorry for all the email.

#6 - 03/27/2013 02:16 PM - Redmine Admin
Original Bugzilla ID was 1076
